GeonetworkInstance (uri-resolver 1.5.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.datatransfer.resolver.gis

## Class GeonetworkInstance

- java.lang.Object
- - org.gcube.datatransfer.resolver.gis.GeonetworkInstance

-     public class GeonetworkInstance
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `GeonetworkInstance.GeonetworkConfiguration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeonetworkInstance()`
    `GeonetworkInstance(String scope)`
    `GeonetworkInstance(String geoNetworkUrl, String user, String pwd, boolean authenticate)` Creates a new configuration for Gis publisher with parameter passed in input.
    `GeonetworkInstance(String scope, String geoNetworkUrl, String user, String pwd, boolean authenticate)` Creates a new configuration for Gis publisher with parameters passed in input.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `authenticateOnGeoenetwork(boolean authenticate)`
    `org.gcube.spatial.data.geonetwork.GeoNetworkPublisher` | `getGeonetworkPublisher()`
    `String` | `getGeoNetworkPwd()`
    `String` | `getGeoNetworkUrl()`
    `String` | `getGeoNetworkUser()`
    `String` | `getScope()`
    `void` | `setScope(String scope)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GeonetworkInstance

          public GeonetworkInstance()

    - #### GeonetworkInstance

          public GeonetworkInstance(String scope)

      Parameters:
        `scope` -

    - #### GeonetworkInstance

          public GeonetworkInstance(String scope,
                            String geoNetworkUrl,
                            String user,
                            String pwd,
                            boolean authenticate)
                             throws GeonetworkInstanceException

      Creates a new configuration for Gis publisher with parameters passed in input. By default executes the login as user passed in input on geonetwork instance
      Parameters:
        `scope` -
        `geoNetworkUrl` -
        `user` -
        `pwd` -
        `geoserverUrl` -
        `geoserverUser` -
        `geoserverPwd` -
        `httpSession` -
      Throws:
        `Exception`
        `GeonetworkInstanceException`

    - #### GeonetworkInstance

          public GeonetworkInstance(String geoNetworkUrl,
                            String user,
                            String pwd,
                            boolean authenticate)
                             throws Exception

      Creates a new configuration for Gis publisher with parameter passed in input. Executes the login on geonetwork instance if authenticate param is true, no otherwise
      Parameters:
        `geoNetworkUrl` -
        `user` -
        `pwd` -
      Throws:
        `Exception`

  - ### Method Detail

    - #### authenticateOnGeoenetwork

          public void authenticateOnGeoenetwork(boolean authenticate)
                                         throws GeonetworkInstanceException

      Parameters:
        `authenticate` -
      Throws:
        `Exception`
        `GeonetworkInstanceException`

    - #### getGeonetworkPublisher

          public org.gcube.spatial.data.geonetwork.GeoNetworkPublisher getGeonetworkPublisher()

    - #### getGeoNetworkUrl

          public String getGeoNetworkUrl()

    - #### getGeoNetworkUser

          public String getGeoNetworkUser()

    - #### getGeoNetworkPwd

          public String getGeoNetworkPwd()

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016. All Rights Reserved.